## texlive-extra 2013.20130722

=== Makefile ===
# $Id$
# Makefile for Eplain.  This file is public domain.

version     = 3.5
dist_name   = eplain-$(version)

.PHONY: default alldoc doc dvi ps pdf html info btxdoc dist
.PHONY: $(dist_name) $(dir_main) $(dir_doc) $(dir_source) $(dir_zsource)
.PHONY: clean mostlyclean distclean maintainer-clean
.DELETE_ON_ERROR:


default: eplain.tex
all: default doc

eplain.tex e: util/mkdist-merge $(sources)
	version=$(version) util/mkdist-merge


alldoc:
	cd doc && $(MAKE)

doc:
	cd doc && $(MAKE) doc

dvi:
	cd doc && $(MAKE) dvi

ps:
	cd doc && $(MAKE) ps

pdf doc/eplain.pdf doc/eplain.man1.pdf:
	cd doc && $(MAKE) pdf

html doc/eplain.html $(jpeg_demos):
	cd doc && $(MAKE) html

info doc/eplain.info:
	cd doc && $(MAKE) info

btxdoc:
	cd doc && $(MAKE) btxdoc

INSTALL:
	cd doc && $(MAKE) ../INSTALL

# we need to make a variety of things:
# - eplain-VER.tds.zip (for easy installation).
# - eplain-VER.browse.zip (for CTAN main tree; TDS is rejected there).
# - eplain-VER.zip (combination of above two for single-file CTAN upload)
# - eplain-VER.tar.gz (same as .tds.zip but in .tar.gz, for tug.org).
#
dist_tds_zip = $(dist_name).tds.zip
dist_browse_zip = $(dist_name).browse.zip
dist_upload_zip = $(dist_name).combined.zip
dist_tgz = $(dist_name).tar.gz
#
dist: $(dist_upload_zip) $(dist_tgz)

$(dist_upload_zip): $(dist_browse_zip) $(dist_tds_zip)
	rm -f $@
	zip $@ $^
	zipinfo -l $(dist_upload_zip)
	@echo

$(dist_tgz): $(dist_tds_zip)
	rm -rf $(dist_name) $@
	mkdir $(dist_name)
	unzip -q -d $(dist_name) $^
	tar czf $@ $(dist_name) # includes dir
	rm -rf $(dist_name)
	ls -l $@

browse_dir = $(dist_name)-browse
$(dist_browse_zip): $(dist_tds_zip)
	rm -rf $(browse_dir) $@
	unzip -q -d $(browse_dir) $^
# for browsing, get rid of eplain level:
	cd $(browse_dir) && for dir in *; do \
	  mv -v $$dir/eplain/* $$dir; \
	  rmdir -v $$dir/eplain; done
	mv -v $(browse_dir)/doc/doc/* $(browse_dir)/doc/  # skip extra level
	rmdir -v $(browse_dir)/doc/doc
	cd $(browse_dir) && zip -qr ../$@ *
	rm -rf $(browse_dir)
	#zipinfo -l $@
	ls -l $@
	@echo

#  The .tds.zip is the main thing.  Its directories and files follow.
# The idea of zsource is that we bundle up the various files we reuse into
# a zip so that our slave copies are not found by searches.

tds_dir     = $(dist_name)-tds
#
dir_main    = $(tds_dir)/tex/eplain
dir_doc     = $(tds_dir)/doc/eplain
dir_source  = $(tds_dir)/source/eplain
dir_zsource = $(dir_source)/eplain-source-$(version)
#
# Categories of the files in the source tree.
sources     = arrow.tex btxmac.tex ifpdf.sty path.sty texnames.sty xeplain.tex
support     = Makefile PROJECTS util/mkdist-*
manuals     = $(patsubst %,doc/%,Makefile *.texi btxdoc.bib btxdoc.tex texinfo.tex)
tests       = $(patsubst %,test/%,*.tex *.bib *.map *.mst *.eps)
utils       = util/idxuniq util/trimsee
demos       = demo/Makefile demo/*.tex
jpeg_demos  = doc/xhyper.jpg doc/lscommnt.jpg
#
# Files to go under the $(dir_*) directories.
files_main   = eplain.tex arrow.tex btxmac.tex eplain.ini
files_doc    = AUTHORS COPYING ChangeLog INSTALL NEWS README \
               doc/eplain.info doc/eplain.html doc/eplain.pdf doc/eplain.1 \
               doc/eplain.man1.pdf $(demos) $(jpeg_demos) $(utils)
files_source = xeplain.tex
files_zsource= $(sources) $(support) $(manuals) $(tests)
#
cp = cp --parents
#
$(dist_tds_zip): force
	rm -rf $(tds_dir) $@
	install -d $(dir_main) $(dir_doc) $(dir_source) $(dir_zsource)
	@echo -e "\
% This eplain.aux file is installed for the sake of initex.  Running\n\
% initex without this file will produce eplain.fmt which will never\n\
% issue warning messages about undefined labels.\n" >$(dir_main)/eplain.aux
	#
	$(cp) $(files_main)    $(dir_main)
	$(cp) $(files_doc)     $(dir_doc)
	$(cp) $(files_source)  $(dir_source)
	$(cp) $(files_zsource) $(dir_zsource)
	chmod -R a+rwX $(tds_dir)
	#
	# make zsource zip:
	cd `dirname $(dir_zsource)` \
	  && zip -qr `basename $(dir_zsource)`.zip `basename $(dir_zsource)`
	rm -rf $(dir_zsource)
	#
	# make tds zip:
	cd $(tds_dir) && zip -qr ../$(dist_tds_zip) *
	rm -rf $(tds_dir)
	#zipinfo -l $@
	ls -l $@
	@echo

force:

define clean-cmds
rm -rf $(dist_name) $(browse_dir) $(tds_dir)
endef

define distclean-cmds
$(clean-cmds)
rm -f $(dist_name).tar.gz $(dist_upload_zip) $(dist_tgz)
rm -f $(dist_browse_zip) $(dist_tds_zip)
rm -f eplain.fmt eplain.log
endef

define maintainer-clean-cmds
$(distclean-cmds)
rm -f eplain.tex
endef

clean mostlyclean:
	$(clean-cmds)
	cd doc && $(MAKE) $@
	cd demo && $(MAKE) $@

distclean:
	$(distclean-cmds)
	cd doc && $(MAKE) distclean
	cd demo && $(MAKE) distclean

maintainer-clean:
	$(maintainer-clean-cmds)
	cd doc && $(MAKE) maintainer-clean
	cd demo && $(MAKE) maintainer-clean

=== doc/Makefile ===
# Makefile for Eplain manuals.  This file is public domain.

MAKEINFO        = makeinfo
MAKEINFO_FLAGS  = 

TEXI2PDF        = texi2dvi
TEXI2PDF_FLAGS  = --pdf

TEXI2DVI        = texi2dvi
TEXI2DVI_FLAGS  = 

DVIPS           = dvips
DVIPS_FLAGS     = -t letter

LATEX           = latex
LATEX_FLAGS     = 

BIBTEX          = bibtex
BIBTEX_FLAGS    = 

LATEX2HTML      = latex2html
LATEX2HTML_FLAGS= 

PDFTOPS         = pdftops
PDFTOPS_FLAGS   = 

PDFCROP         = ../util/pdfcrop.pl
PDFCROP_FLAGS   = 

CONVERT         = convert
CONVERT_FLAGS   = -quality 75

GROFF           = groff
GROFF_PDF_FLAGS = -man -t -rS11

PS2PDF          = ps2pdf
PS2PDF_FLAGS    = -sPAPERSIZE=a4

DEMO_DIR   = ../demo
PDF_DEMOS  = xhyper.pdf lscommnt.pdf
EPS_DEMOS  = $(PDF_DEMOS:%.pdf=%.eps)
JPG_DEMOS  = $(PDF_DEMOS:%.pdf=%.jpg)

.PHONY: all doc dvi ps pdf html info btxdoc
.PHONY: clean mostlyclean distclean maintainer-clean
.DELETE_ON_ERROR:


all: doc ../INSTALL #btxdoc

doc: dvi pdf html info

dvi: eplain.dvi
eplain.dvi: *.texi $(EPS_DEMOS)
	$(TEXI2DVI) $(TEXI2DVI_FLAGS) eplain.texi

ps: eplain.ps
eplain.ps: eplain.dvi
	$(DVIPS) $(DVIPS_FLAGS) $< -o

pdf: eplain.pdf eplain.man1.pdf
eplain.pdf: *.texi $(PDF_DEMOS)
	$(TEXI2PDF) $(TEXI2PDF_FLAGS) eplain.texi
eplain.man1.pdf: eplain.1
	$(GROFF) $(GROFF_PDF_FLAGS) $< | $(PS2PDF) $(PS2PDF_FLAGS) - $@

html: eplain/index.html
eplain/index.html: *.texi $(JPG_DEMOS)
	$(MAKEINFO) $(MAKEINFO_FLAGS) --html eplain.texi
	$(MAKEINFO) $(MAKEINFO_FLAGS) --html --no-split eplain.texi
	cp $(JPG_DEMOS) eplain

info: eplain.info
eplain.info: *.texi
	$(MAKEINFO) $(MAKEINFO_FLAGS) --no-split eplain.texi

btxdoc: btxdoc/index.html
btxdoc/index.html: btxdoc.tex btxdoc.bib
	$(LATEX) $(LATEX_FLAGS) btxdoc
	$(BIBTEX) $(BIBTEX_FLAGS) btxdoc
	$(LATEX) $(LATEX_FLAGS) btxdoc
	$(LATEX2HTML) $(LATEX2HTML_FLAGS) -local_icons btxdoc

../INSTALL: install.texi
	$(MAKEINFO) $(MAKEINFO_FLAGS) --no-number-section \
	  --no-warn --no-headers eplain.texi -o - \
	  | sed -n '/^Installation/,/^Invoking/'p \
	  | sed '$$d' > ../INSTALL

#
# Images for the "Demo files" section of the manual.
#
$(PDF_DEMOS):
	$(MAKE) -C $(DEMO_DIR) $@
	$(PDFCROP) $(PDFCROP_FLAGS) $(DEMO_DIR)/$@ $@

$(EPS_DEMOS): %.eps: %.pdf
	$(PDFTOPS) $(PDFTOPS_FLAGS) -eps $<

$(JPG_DEMOS): %.jpg: %.pdf
	$(CONVERT) $(CONVERT_FLAGS) $< $@

#
# Clean-up.
#
clean mostlyclean:
	rm -f eplain.?? eplain.{aux,cps,fns,log,toc}
	rm -f btxdoc.{aux,bbl,blg,dvi,log}
	rm -f $(PDF_DEMOS)
	rm -f $(EPS_DEMOS)

distclean: clean
	rm -rf eplain.dvi eplain btxdoc

maintainer-clean: distclean
	rm -f $(JPG_DEMOS)
	rm -f ../INSTALL eplain.info eplain.pdf eplain.html eplain.man1.pdf

=== texmf-dist/doc/fonts/xits/Makefile ===
NAME=xits
VERSION=1.107

SRC=sources
DOC=documentation
DOCSRC=$(DOC)/$(DOC)-$(SRC)
DIST=$(NAME)-$(VERSION)

PY=python
POSTPROCESS=./postprocess.py

define $(NAME)SCRIPT
import fontforge, sys
f = fontforge.open(sys.argv[1])
if len(sys.argv) > 3:
  f.mergeFeature(sys.argv[3])
f.version = "$(VERSION)"
f.generate(sys.argv[2], flags=("round", "opentype"))
endef

export $(NAME)SCRIPT

FONTS=math mathbold regular bold italic bolditalic
DOCS=user-guide xits-specimen
FEA=xits.fea

SFD=$(FONTS:%=$(SRC)/$(NAME)-%.sfd)
OTF=$(FONTS:%=$(NAME)-%.otf)
TEX=$(DOCS:%=$(DOCSRC)/%.tex)
PDF=$(DOCS:%=$(DOC)/%.pdf)

all: otf

otf: $(OTF)

xits-math.otf: $(SRC)/xits-math.sfd Makefile $(POSTPROCESS)
	@echo "Building $@"
	@$(PY) -c "$$$(NAME)SCRIPT" $< $@
	@$(POSTPROCESS) $@
	@mv $@.post $@

xits-mathbold.otf: $(SRC)/xits-mathbold.sfd Makefile $(POSTPROCESS)
	@echo "Building $@"
	@$(PY) -c "$$$(NAME)SCRIPT" $< $@
	@$(POSTPROCESS) $@
	@mv $@.post $@

%.otf: $(SRC)/%.sfd Makefile $(SRC)/$(FEA) $(POSTPROCESS)
	@echo "Building $@"
	@$(PY) -c "$$$(NAME)SCRIPT" $< $@ $(SRC)/$(FEA)
	@$(POSTPROCESS) $@
	@mv $@.post $@

doc: $(PDF)

$(DOC)/%.pdf: $(DOCSRC)/%.tex
	@echo "Building $@"
	@context --nonstopmode --result=$@ $< 1>/dev/null

FONTLOG.txt: FONTLOG.txt.in
	@echo "Generating $@"
	@./tools/fontcoverage.py tools/Blocks.txt $< $(SFD) > $@

dist: $(OTF) $(PDF) FONTLOG.txt
	@echo "Making dist tarball"
	@mkdir -p $(DIST)/$(SRC)
	@mkdir -p $(DIST)/$(DOC)
	@mkdir -p $(DIST)/$(DOCSRC)
	@cp $(SFD) $(DIST)/$(SRC)
	@cp $(SRC)/$(FEA) $(DIST)/$(SRC)
	@cp $(OTF) $(DIST)
	@cp -r $(PDF) $(DIST)/$(DOC)
	@cp -r $(TEX) $(DIST)/$(DOCSRC)
	@cp -r $(POSTPROCESS) Makefile OFL-FAQ.txt OFL.txt FONTLOG.txt tex $(DIST)
	@cp README.md $(DIST)/README.txt
	@zip -r $(DIST).zip $(DIST)

clean:
	@rm -rf $(OTF) $(DIST) $(DIST).zip

=== texmf-dist/doc/generic/pstricks/Makefile ===
# `Makefile' for `pst-news.pdf', hv, 2007/03/17

.SUFFIXES : .tex .ltx .dvi .ps .pdf .eps

PACKAGE = pst-news$(shell date +%y)

MAIN = $(PACKAGE)

BASE = pstricks

LATEX = latex

TDS = ~/PSTricks/PSTricks-TDS

ARCHNAME = $(MAIN)-$(shell date +%y%m%d)

ARCHFILES = $(PACKAGE).sty $(PACKAGE).tex $(PACKAGE).pro $(MAIN).tex README Changes Makefile

all : doc clean
doc: $(MAIN).pdf

$(MAIN).pdf : $(MAIN).ps
	GS_OPTIONS=-dAutoRotatePages=/None ps2pdf $<

$(MAIN).ps : $(MAIN).dvi
	dvips $<

$(MAIN).dvi : $(MAIN).tex
	$(LATEX) $<
	$(LATEX) $<
	if ! test -f $(basename $<).glo ; then touch $(basename $<).glo; fi
	if ! test -f $(basename $<).idx ; then touch $(basename $<).idx; fi
	makeindex -s gglo.ist -t $(basename $<).glg -o $(basename $<).gls \
	  $(basename $<).glo
	makeindex -t $(basename $<).ilg -o $(basename $<).ind \
	  $(basename $<).idx
	bibtex $(basename $<)
	$(LATEX) $<
	$(LATEX) $<

clean : 
	$(RM) $(addprefix $(MAIN), .log .aux .glg .glo .gls .ilg .idx .ind .tmp .toc .out .blg .Roessler .bbl )
	$(RM) $(addprefix $(MAIN), .dvi .ps)

veryclean : clean
	$(RM) $(addprefix $(MAIN), .pdf .bbl .blg)

arch :
	zip $(ARCHNAME).zip $(ARCHFILES)

tds:
#################### base #########################
	cp -u ../config/*        ../.base/config/
#
	cp -u Changes            ../.base/doc/
	cp -u pst-doc.*          ../.base/doc/
	cp -u PSTricks.bib*      ../.base/doc/
	cp -u pst-news*          ../.base/doc/
	cp -u pst-user*          ../.base/doc/
	cp -u *.sty              ../.base/doc/
	cp -u pstricks-*         ../.base/doc/
	cp -u test*              ../.base/doc/
	cp -u images/*           ../.base/doc/images/
#
	cp -u ../dvips/*         ../.base/dvips/
	cp -u ../generic/*       ../.base/generic/
	cp -u ../latex/*         ../.base/latex/
	cp -u ../README          ../.base/
#
#################### TDS #########################
	cp -u Changes     $(TDS)/doc/generic/$(BASE)/
	cp -u README      $(TDS)/doc/generic/$(BASE)/
	cp -u $(MAIN).pdf $(TDS)/doc/generic/$(BASE)/
#
	cp -u ../latex/Changes        $(TDS)/tex/latex/$(BASE)/
	cp -u ../latex/$(BASE).sty $(TDS)/tex/latex/$(BASE)/
#
	cp -u ../generic/Changes        $(TDS)/tex/generic/$(BASE)/
	cp -u ../generic/$(BASE).tex $(TDS)/tex/generic/$(BASE)/
#
	cp -u ../dvips/Changes        $(TDS)/dvips/$(BASE)/
#	cp -u ../dvips/$(BASE).pro $(TDS)/dvips/$(BASE)/
#	cp -u ../dvips/$(BASE)97.pro $(TDS)/dvips/$(BASE)/
	cp -u ../dvips/*.pro $(TDS)/dvips/$(BASE)/
#
	cp -u Changes     $(TDS)/source/$(BASE)/
	cp -u $(MAIN).tex $(TDS)/source/$(BASE)/
#	cp -u $(MAIN).bib $(TDS)/source/$(BASE)/
	cp -u Makefile    $(TDS)/source/$(BASE)/

# EOF

=== texmf-dist/doc/latex/biblatex-caspervector/Makefile ===
# vim:ts=4:sw=4
#
# Copyright (c) 2011-2012 Casper Ti. Vector
# Public domain.

doc:
	latex readme
	biber -l zh__pinyin readme
	latex readme
	latex readme
	dvipdfmx readme

toutf8lf:
	sed -i '1,10 s/GBK/UTF8/; 1,10 s/gbk/utf8/' readme.tex
	enca -L zh -x UTF-8 readme.*
	dos2unix readme.*

togbkcrlf:
	sed -i '1,10 s/UTF8/GBK/; 1,10 s/utf8/gbk/' readme.tex
	enca -L zh -x GBK readme.*
	unix2dos readme.*

clean:
	rm -f readme.{aux,bbl,bcf,blg,dvi,log,run.xml,out} {missfont,texput}.log

distclean: clean
	rm -f readme.pdf

=== texmf-dist/doc/latex/contracard/Makefile ===
# Makefile for contracard.
# Copied almost exactly from the fontspec makefile.

#### MAKEFILE CONFIG ####

SHELL = /bin/sh
.SUFFIXES:
.SILENT:

#### BEGIN ####

help:
	@echo 'CONTRACARD makefile targets:'
	@echo ' '
	@echo '                  help  -  (this message)'
	@echo '                unpack  -  extracts all files'
	@echo '                   doc  -  compile documentation'
	@echo '                gendoc  -  compile git-aware documentation'
	@echo '                  ctan  -  generate archive for CTAN'
	@echo '                   all  -  unpack & doc'
	@echo '                 world  -  all & ctan'
	@echo '                 clean  -  remove all generated and built files'
	@echo '                preview -  preview the documentation'
	@echo ' '
	@echo '                   install  -  install the complete class into your home texmf tree'
	@echo '               cls-install  -  install the class code only'
	@echo ' install TEXMFROOT=<texmf>  -  install the class into the path <texmf>'


NAME = contracard
DOC = $(NAME).pdf
DTX = $(NAME).dtx

# Redefine this to print output if you need:
REDIRECT = > /dev/null

# Files grouped by generation mode
COMPILED = $(DOC)
UNPACKED = $(NAME).cls
SOURCE = $(DTX) Makefile README LICENSE
GENERATED = $(COMPILED) $(UNPACKED)

CTAN_FILES = $(SOURCE) $(COMPILED)

UNPACKED_DOC =

RUNFILES = $(filter-out $(UNPACKED_DOC), $(UNPACKED))
DOCFILES = $(COMPILED) README LICENSE $(UNPACKED_DOC)
SRCFILES = $(DTX) Makefile

ALL_FILES = $(RUNFILES) $(DOCFILES) $(SRCFILES)

# Installation locations
FORMAT = latex
RUNDIR = $(TEXMFROOT)/tex/$(FORMAT)/$(NAME)
DOCDIR = $(TEXMFROOT)/doc/$(FORMAT)/$(NAME)
SRCDIR = $(TEXMFROOT)/source/$(FORMAT)/$(NAME)
TEXMFROOT = $(shell kpsewhich --var-value TEXMFHOME)

CTAN_ZIP = $(NAME).zip
TDS_ZIP = $(NAME).tds.zip
ZIPS = $(CTAN_ZIP) $(TDS_ZIP)

DO_LATEX = pdflatex --interaction=nonstopmode $<  $(REDIRECT)
DO_LATEX_WRITE18 = pdflatex --shell-escape --interaction=nonstopmode $<  $(REDIRECT)
DO_TEX = tex --interaction=nonstopmode $< $(REDIRECT)
DO_MAKEINDEX = makeindex -s gind.ist $(subst .dtx,,$<)  $(REDIRECT)  2>&1
DO_MAKECHANGES = makeindex -s gglo.ist -o $(NAME).gls $(NAME).glo $< $(REDIRECT) 2>&1

all: $(GENERATED)
doc: $(COMPILED)
unpack: $(UNPACKED)
ctan: $(CTAN_ZIP)
tds: $(TDS_ZIP)
world: all ctan

resources: by.png by-nc.png

by.png:
	wget http://mirrors.creativecommons.org/presskit/buttons/80x15/png/by.png

by-nc.png:
	wget http://mirrors.creativecommons.org/presskit/buttons/80x15/png/by-nc.png


gendoc: $(DTX) resources
	@echo "Compiling documentation"
	$(DO_LATEX_WRITE18)
	$(DO_MAKEINDEX)
	$(DO_MAKECHANGES)
	while ($(DO_LATEX_WRITE18) ; \
	grep -q "Rerun to get" $(NAME).log ) do true; \
	done

COMMAND = command -v $(1) >/dev/null 2>&1
preview: $(DOC)
	($(COMMAND) evince && evince $(NAME).pdf) || ($(COMMAND) open && open $(NAME).pdf)

$(DOC): $(DTX)
	@echo "Compiling documentation"
	$(DO_LATEX_WRITE18)
	$(DO_MAKEINDEX)
	$(DO_MAKECHANGES)
	while ($(DO_LATEX_WRITE18) ; \
	grep -q "Rerun to get" $(NAME).log ) do true; \
	done


$(UNPACKED): $(DTX)
	@$(DO_TEX)

$(CTAN_ZIP): $(CTAN_FILES)
	@echo "Making $@ for CTAN upload."
	@$(RM) -- $@
	@mkdir -p $(NAME)/
	@cp $^ $(NAME)/
	@zip -9 $@ $(NAME)/* >/dev/null
	@rm -rf $(NAME)/

define run-install
@mkdir -p $(RUNDIR) && cp $(RUNFILES) $(RUNDIR)
@mkdir -p $(DOCDIR) && cp $(DOCFILES) $(DOCDIR)
@mkdir -p $(SRCDIR) && cp $(SRCFILES) $(SRCDIR)
endef

define run-cls-install
@mkdir -p $(RUNDIR) && cp $(RUNFILES) $(RUNDIR)
endef

$(TDS_ZIP): TEXMFROOT=./tmp-texmf
$(TDS_ZIP): $(ALL_FILES)
	@echo "Making TDS-ready archive $@."
	@$(RM) -- $@
	$(run-install)
	@cd $(TEXMFROOT) && zip -9 ../$@ -r . >/dev/null
	@$(RM) -r -- $(TEXMFROOT)

# Rename the README for CTAN
README: README.md
	cp $< $@

# Rename the LICENSE for CTAN
LICENSE: LICENSE.md
	cp $< $@

.PHONY: install manifest clean mrproper

install: $(ALL_FILES)
	@if test ! -n "$(TEXMFROOT)" ; then \
		echo "Cannot locate your home texmf tree. Specify manually with\n\n    make install TEXMFROOT=/path/to/texmf\n" ; \
		false ; \
	fi ;
	@echo "Installing in '$(TEXMFROOT)'."
	$(run-install)

cls-install: $(RUNFILES)
	@if test ! -n "$(TEXMFROOT)" ; then \
		echo "Cannot locate your home texmf tree. Specify manually with\n\n    make install TEXMFROOT=/path/to/texmf\n" ; \
		false ; \
	fi ;
	@echo "Installing in '$(TEXMFROOT)'."
	$(run-install)

manifest: 
	@echo "Source files:"
	@for f in $(SOURCE); do echo $$f; done
	@echo ""
	@echo "Derived files:"
	@for f in $(GENERATED); do echo $$f; done

clean:
	@$(RM) -- *.log *.aux *.toc *.idx *.ind *.ilg *.glo *.gls *.example *.out
	@$(RM) -- *.synctex* *.tmp *.cls *.sty *.ins *.pdf *.dvi README LICENSE *.lot
	@$(RM) -- *.lod *.png
	@$(RM) -- $(GENERATED) $(ZIPS)
	@$(RM) -- $(builddir)/*


#############
# TESTSUITE #
#############

#### Needed to compile and make stuff ####

builddir=build
lprefix=L
xprefix=X
both=F

COPY = cp -a
MOVE = mv -f
COMPARE_OPTS = -density 300x300 -metric ae -fuzz 35%

LTXSOURCE = $(NAME).cls

=== texmf-dist/doc/latex/eledmac/Makefile ===
PACKAGE = *.dtx \
		  *.ins \
		  eledmac.pdf \
		  eledpar.pdf \
		  README \
		  Makefile



.PHONY: all dist clean


all: eledmac.sty eledmac.pdf eledpar.sty eledpar.pdf dist

doc: *.pdf


%.sty: %.ins %.dtx 
	rm -f $*.sty $*tex
	@pdflatex $*.ins

%.pdf: %.sty %.dtx 
	@pdflatex $*.dtx
	@makeindex -s gind.ist -o $*.ind $*.idx
	@makeindex -s gglo.ist -o $*.gls $*.glo
	@pdflatex $*.dtx
	@pdflatex $*.dtx


dist: $(PACKAGE)
	@$(RM) ../eledmac.zip
	zip ../eledmac.zip $(PACKAGE)
	

clean:
	@$(RM) *.aux *.log *.out *.toc *tex *.pdf eledmac.sty eledpar.sty  *ind *ilg  *lof *idx *glo *gls ../eledmac.zip

=== texmf-dist/doc/latex/resphilosophica/Makefile ===
#
# Makefile for resphilosophica package
#
# This file is in public domain
#
# $Id: Makefile,v 1.6 2012-09-11 22:34:31 boris Exp $
#

PACKAGE=resphilosophica

SAMPLES = rpsample.tex 

PDF = $(PACKAGE).pdf ${SAMPLES:%.tex=%.pdf}

all:  ${PDF} 


%.pdf:  %.dtx   $(PACKAGE).cls
	pdflatex $<
	- bibtex $*
	pdflatex $<
	- makeindex -s gind.ist -o $*.ind $*.idx
	- makeindex -s gglo.ist -o $*.gls $*.glo
	pdflatex $<
	while ( grep -q '^LaTeX Warning: Label(s) may have changed' $*.log) \
	do pdflatex $<; done


%.cls:   %.ins %.dtx  
	pdflatex $<

%.pdf:  %.tex   $(PACKAGE).cls 
	pdflatex $<
	- bibtex $*
	pdflatex $<
	pdflatex $<
	while ( grep -q '^LaTeX Warning: Label(s) may have changed' $*.log) \
	do pdflatex $<; done


.PRECIOUS:  $(PACKAGE).cfg $(PACKAGE).cls


clean:
	$(RM)  $(PACKAGE).cls *.log *.aux \
	*.cfg *.glo *.idx *.toc \
	*.ilg *.ind *.out *.lof \
	*.lot *.bbl *.blg *.gls \
	*.dvi *.ps *.hd *.rpi

distclean: clean
	$(RM) $(PDF) 

#
# Archive for the distribution. Includes typeset documentation
#
archive:  all clean
	tar -czvf $(PACKAGE).tgz --exclude '*~' --exclude '*.tgz' --exclude CVS .

=== texmf-dist/doc/support/latexpand/Makefile ===
all: latexpand.zip

README: latexpand
	./latexpand --help > README

.PHONY: latexpand.zip
latexpand.zip: README
	-$(RM) $@
	@echo "latexpand version $$(git rev-parse HEAD).\n\
Commited on $$(git show HEAD --pretty=format:'%cd')." > version.txt
	zip $@ README version.txt $$(git ls-files | grep -v '\.gitignore')

=== texmf-dist/source/generic/pst-3dplot/Makefile ===

# `Makefile' for `pst-3dplot.pdf', hv, 2007/03/17

.SUFFIXES : .tex .ltx .dvi .ps .pdf .eps

PACKAGE = pst-3dplot

MAIN = $(PACKAGE)-doc

TDS = ~/PSTricks/PSTricks-TDS

LATEX = latex

ARCHNAME = $(MAIN)-$(shell date +%y%m%d)

ARCHFILES = $(PACKAGE).sty $(PACKAGE).tex $(PACKAGE).pro $(MAIN).tex README Changes Makefile

all : doc clean tds
doc: $(MAIN).pdf

$(MAIN).pdf : $(MAIN).ps
	GS_OPTIONS=-dAutoRotatePages=/None ps2pdf $<

$(MAIN).ps : $(MAIN).dvi
	dvips $<

$(MAIN).dvi : $(MAIN).tex
	$(LATEX) $<
	$(LATEX) $<
	if ! test -f $(basename $<).glo ; then touch $(basename $<).glo; fi
	if ! test -f $(basename $<).idx ; then touch $(basename $<).idx; fi
	makeindex -t $(basename $<).ilg -s pst-doc.ist -o $(basename $<).ind $(basename $<).idx
	makeindex -s gglo.ist -t $(basename $<).glg -o $(basename $<).gls \
	  $(basename $<).glo
	bibtex $(basename $<)
	$(LATEX) $<
	$(LATEX) $<

clean : 
	$(RM) $(addprefix $(MAIN), .log .aux .glg .glo .gls .ilg .idx .ind .tmp .toc .out .blg .Roessler .bbl )
	$(RM) $(addprefix $(MAIN), .dvi .ps .xcp)
	$(RM) data3d.Roessler

veryclean : clean
	$(RM) $(addprefix $(MAIN), .pdf .bbl .blg)

arch :
	zip $(ARCHNAME).zip $(ARCHFILES)

tds:
	cp -u Changes     $(TDS)/doc/generic/$(PACKAGE)/
	cp -u README      $(TDS)/doc/generic/$(PACKAGE)/
	cp -u $(MAIN).pdf $(TDS)/doc/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/latex/$(PACKAGE)/
	cp -u $(PACKAGE).sty $(TDS)/tex/latex/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/generic/$(PACKAGE)/
	cp -u $(PACKAGE).tex $(TDS)/tex/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/dvips/$(PACKAGE)/
	cp -u $(PACKAGE).pro $(TDS)/dvips/$(PACKAGE)/
	cp -u $(PACKAGE).pro ~/Links/dvips-local/
#
	cp -u Changes     $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).tex $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).bib $(TDS)/source/$(PACKAGE)/
	cp -u Makefile    $(TDS)/source/$(PACKAGE)/


# EOF

=== texmf-dist/source/generic/pst-barcode/Makefile ===

# `Makefile' for `pst-coil.pdf', hv, 2006/08/11

.SUFFIXES : .tex .ltx .dvi .ps .pdf .eps

PACKAGE = pst-barcode

MAIN = pst-barcode-doc

LATEX = latex

ARCHNAME = $(MAIN)-$(shell date +%y%m%d)

ARCHFILES = $(PACKAGE).sty $(PACKAGE).tex $(PACKAGE).pro $(MAIN).tex README Changes Makefile

TDS = ~/PSTricks/PSTricks-TDS

all : doc clean
doc: $(MAIN).pdf

$(MAIN).pdf : $(MAIN).ps
	GS_OPTIONS=-dAutoRotatePages=/None ps2pdf $<

$(MAIN).ps : $(MAIN).dvi
	dvips $<

$(MAIN).dvi : $(MAIN).tex
	$(LATEX) $<
	$(LATEX) $<
	if ! test -f $(basename $<).glo ; then touch $(basename $<).glo; fi
	if ! test -f $(basename $<).idx ; then touch $(basename $<).idx; fi
	makeindex -s gglo.ist -t $(basename $<).glg -o $(basename $<).gls \
	  $(basename $<).glo
	makeindex -t $(basename $<).ilg -o $(basename $<).ind \
	  $(basename $<).idx
	bibtex $(basename $<)
	$(LATEX) $<
	$(LATEX) $<

clean : 
	$(RM) $(addprefix $(MAIN), .log .aux .glg .glo .gls .ilg .idx .ind .tmp .toc .out .blg)
	$(RM) $(addprefix $(MAIN), .dvi .ps)

veryclean : clean
	$(RM) $(addprefix $(MAIN), .pdf .bbl .blg)

arch :
	zip $(ARCHNAME).zip $(ARCHFILES)

tds:
	cp -u Changes     $(TDS)/doc/generic/$(PACKAGE)/
	cp -u README      $(TDS)/doc/generic/$(PACKAGE)/
	cp -u $(MAIN).pdf $(TDS)/doc/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/latex/$(PACKAGE)/
	cp -u $(PACKAGE).sty $(TDS)/tex/latex/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/generic/$(PACKAGE)/
	cp -u $(PACKAGE).tex $(TDS)/tex/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/dvips/$(PACKAGE)/
	cp -u $(PACKAGE).pro $(TDS)/dvips/$(PACKAGE)/
	cp -u $(PACKAGE).pro ~/Links/dvips-local/
#
	cp -u Changes     $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).tex $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).bib $(TDS)/source/$(PACKAGE)/
	cp -u Makefile    $(TDS)/source/$(PACKAGE)/


# EOF

=== texmf-dist/source/generic/pst-node/Makefile ===

# `Makefile' for `pst-node-doc.pdf', hv, 2010/01/22

.SUFFIXES : .tex .ltx .dvi .ps .pdf .eps

PACKAGE = pst-node

MAIN = $(PACKAGE)-doc

LATEX = latex

ARCHNAME = $(MAIN)-$(shell date +%y%m%d)

ARCHFILES = $(PACKAGE).sty $(PACKAGE).tex $(PACKAGE).pro $(MAIN).tex README Changes Makefile

TDS = ~/PSTricks/PSTricks-TDS

all : doc ctan clean 

doc: $(MAIN).pdf

$(MAIN).pdf : $(MAIN).ps
	GS_OPTIONS=-dAutoRotatePages=/None ps2pdf $<
#	echo "\documentclass[a4paper]{article}" > temp.tex
#	echo "\usepackage{pdfpages}" >> temp.tex
#	echo "\begin{document}" >> temp.tex
#	echo "\includepdf[pages=1-4]{pst-node-doc}" >> temp.tex
#	echo "\includepdf[pages=6-32]{pst-docfull}" >> temp.tex
#	echo "\includepdf[pages=5-]{pst-node-doc}" >> temp.tex
#	echo "\end{document}" >> temp.tex
#	pdflatex temp
#	mv temp.pdf pst-node-doc.pdf

$(MAIN).ps : $(MAIN).dvi
	dvips $<

$(MAIN).dvi : $(MAIN).tex
	$(LATEX) $<
	$(LATEX) $<
	if ! test -f $(basename $<).glo ; then touch $(basename $<).glo; fi
	if ! test -f $(basename $<).idx ; then touch $(basename $<).idx; fi
	makeindex -s gglo.ist -t $(basename $<).glg -o $(basename $<).gls \
	  $(basename $<).glo
	makeindex -s pst-doc.ist -t $(basename $<).ilg -o $(basename $<).ind \
	  $(basename $<).idx
	bibtex $(basename $<)
	$(LATEX) $<
	$(LATEX) $<

clean : 
	$(RM) $(addprefix $(MAIN), .log .aux .glg .glo .gls .ilg .idx .ind .tmp .toc .out )
	$(RM) $(addprefix $(MAIN), .dvi .ps .blg .bbl)
#	rm temp*

veryclean : clean
	$(RM) $(addprefix $(MAIN), .pdf .bbl .blg)

arch :
	zip $(ARCHNAME).zip $(ARCHFILES)

ctan:
	cp -u *.sty .ctan/$(PACKAGE)/
	cp -u *.tex .ctan/$(PACKAGE)/
	cp -u *.pro .ctan/$(PACKAGE)/
	cp -u more_docs/* .ctan/$(PACKAGE)/more_docs/
#	rm -fr .ctan/$(PACKAGE)/.svn
#
	cp -u Changes     .ctan/$(PACKAGE)/
	cp -u README      .ctan/$(PACKAGE)/
	cp -u $(MAIN).pdf .ctan/$(PACKAGE)/
	cp -u $(MAIN).bib .ctan/$(PACKAGE)/
	cp -u Makefile    .ctan/$(PACKAGE)/

tds:
	cp -u *.sty ~/Links/texmf-local-latex/$(PACKAGE)/
	cp -u *.pro ~/Links/dvips-local/
#
	cp -u Changes     $(TDS)/doc/generic/$(PACKAGE)/
	cp -u README      $(TDS)/doc/generic/$(PACKAGE)/
	cp -u $(MAIN).pdf $(TDS)/doc/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/latex/$(PACKAGE)/
	cp -u $(PACKAGE).sty $(TDS)/tex/latex/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/generic/$(PACKAGE)/
	cp -u $(PACKAGE).tex $(TDS)/tex/generic/$(PACKAGE)/
	cp -u $(PACKAGE)97.tex $(TDS)/tex/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/dvips/$(PACKAGE)/
	cp -u $(PACKAGE).pro $(TDS)/dvips/$(PACKAGE)/
	cp -u $(PACKAGE)97.pro $(TDS)/dvips/$(PACKAGE)/
#
	cp -u Changes     $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).tex $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).bib $(TDS)/source/$(PACKAGE)/
	cp -u Makefile    $(TDS)/source/$(PACKAGE)/


# EOF

=== debian/changelog ===
texlive-extra (2013.20130722-1) unstable; urgency=low

  * new upstream checkout
  * texlive-publishers depends on texlive-latex-recommended (Closes: #710420)
  * texlive-science depends on texlive-latex-recommended (Closes: #711168)
  * fix texcount for \verb+...+ (Closes: #711491)
  * respect TMPDIR env var in pdfjam (Closes: #714188) (thanks Ivan Shmakov)
  * texlive-pstricks needs pgf, depend on it (Closes: #713791)

 -- Norbert Preining <preining@debian.org>  Mon, 22 Jul 2013 12:04:16 +0900

texlive-extra (2013.20130530-1) unstable; urgency=low

  * new upstream checkout, corresponding to TL2013 DVD release

 -- Norbert Preining <preining@debian.org>  Thu, 30 May 2013 11:47:02 +0900

texlive-extra (2013.20130523-1) unstable; urgency=low

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Thu, 23 May 2013 12:36:41 +0900

texlive-extra (2013.20130520-1) unstable; urgency=low

  * new upstream checkout
  * depend on fonts-dejavu-* instead of ttf-dejavu-* (Closes: #708059)

 -- Norbert Preining <preining@debian.org>  Mon, 20 May 2013 13:11:24 +0900

texlive-extra (2012.20130315-1) experimental; urgency=low

  * texlive-extra-utils now depends on texlive-latex-base to make pdfjam
    and friends work out of the box (LP: #1085666)
  * fix predictable temp file names in latex2man (Closes: #668779)
    (patch by Tatsuya Kinoshita)

 -- Norbert Preining <preining@debian.org>  Fri, 15 Mar 2013 13:28:27 +0900

texlive-extra (2012.20130111-1) experimental; urgency=low

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Fri, 11 Jan 2013 08:25:34 +0900

texlive-extra (2012.20121205-1) experimental; urgency=low

  * new upstream checkout
    - fixes cwebbase.tex wrong location and cweb.cls error (Closes: #689634)
  * rework doc file handling, doc files are now placed in their
    proper place in the TDS hierarchy
  * ship repstopdf

 -- Norbert Preining <preining@debian.org>  Thu, 06 Dec 2012 01:14:20 +0900

texlive-extra (2012.20121125-1) experimental; urgency=low

  * new upstream checkout
  * incorporate some patches from texlive-bin to scripts that are now
    shipped in texlive-extra

 -- Norbert Preining <preining@debian.org>  Sun, 25 Nov 2012 12:08:35 +0900

texlive-extra (2012.20121123-1) experimental; urgency=low

  * new upstream checkout
  * fix ulqda using Digest::SHA1 which is not available (LP: #1045516)
  * pack texlive-latex-extra-doc with extreme compression (Closes: #675537)
  * texlive-extra-utils recommends texlive-latex-base and 
    texlive-latex-recommended (for pdfjam support) (Closes: #691690)

 -- Norbert Preining <preining@debian.org>  Fri, 23 Nov 2012 12:35:09 +0900

=== debian/control ===
Source: texlive-extra
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: sharutils, tex-common (>= 3), eperl, findutils (>=4.2.0)
Standards-Version: 3.9.3
Homepage: http://www.tug.org/texlive/

Package: texlive-bibtex-extra
Architecture: all
Depends: texlive-base (>= 2013.20130512), ${misc:Depends}, texlive-binaries (>= 2013.20130512), texlive-latex-base (>= 2013.20130512)
Description: TeX Live: BibTeX additional styles
 Additional BibTeX styles and bibliography data(bases), notably including
   BibLaTeX.
 .
 This package includes the following CTAN packages:
  aichej -- Bibliography style file for the AIChE Journal.
  amsrefs -- A LaTeX-based replacement for BibTeX.
  apacite -- Citation style following the rules of the APA.
  apalike2 -- Bibliography style that approaches APA requirements.
  beebe --
  bibarts -- "Arts"-style bibliographical information.
  bibexport -- Extract a BibTeX file based on a .aux file.
  bibhtml -- BibTeX support for HTML files.
  biblatex -- Bibliographies in LaTeX using BibTeX for sorting only.
  biblatex-apa -- Biblatex citation and reference style for APA.
  biblatex-bwl --
  biblatex-caspervector -- A simple citation style for Chinese users.
  biblatex-chem -- A set of biblatex implementations of chemistry-related
   bibliography styles.
  biblatex-chicago -- Chicago style files for biblatex.
  biblatex-dw -- Humanities styles for biblatex.
  biblatex-fiwi -- Biblatex styles for use in German humanities.
  biblatex-gost -- Biblatex support for GOST standard bibliographies.
  biblatex-historian -- A Biblatex style.
  biblatex-ieee -- Ieee style files for biblatex.
  biblatex-juradiss -- Biblatex stylefiles for German law thesis.
  biblatex-luh-ipw -- Biblatex styles for social sciences.
  biblatex-mla -- MLA style files for biblatex.
  biblatex-musuos -- A biblatex style for citations in musuos.cls.
  biblatex-nature -- Biblatex support for Nature.
  biblatex-nejm -- Biblatex style for the New England Journal of Medicine
   (NEJM).
  biblatex-philosophy -- Styles for using biblatex for work in philosophy.
  biblatex-phys -- A biblatex implementation of the AIP and APS bibliography
   style.
  biblatex-publist -- BibLaTeX bibliography support for publication lists.
  biblatex-science -- Biblatex implementation of the Science bibliography
   style.
  biblatex-swiss-legal -- Bibliography and citation styles following Swiss
   legal practice.
  biblatex-trad -- "Traditional" BibTeX styles with BibLaTeX.
  biblist -- Print a BibTeX database.
  bibtopic -- Include multiple bibliographies in a document.
  bibtopicprefix -- Prefix references to bibliographies produced by bibtopic.
  bibunits -- Multiple bibliographies in one document.
  breakcites -- Ensure that multiple citations may break at line end.
  cell -- Bibliography style for Cell.
  chbibref -- Change the Bibliography/References title.
  chicago -- A "Chicago" bibliography style.
  chicago-annote -- Chicago-based annotated BibTeX style.
  chembst -- A collection of BibTeX files for chemistry journals.
  chscite -- Bibliography style for Chalmers University of Technology.
  collref -- Collect blocks of references into a single reference.
  compactbib -- Multiple thebibliography environments.
  custom-bib -- Customised BibTeX styles.
  din1505 -- Bibliography styles for German texts.
  dk-bib -- Danish variants of standard BibTeX styles.
  doipubmed -- Special commands for use in bibliographies.
  fbs -- BibTeX style for Frontiers in Bioscience.
  figbib -- Organize figure databases with BibTeX.
  footbib -- Bibliographic references as footnotes.
  francais-bst -- Bibliographies conforming to French typographic standards.
  geschichtsfrkl -- BibLaTeX style for historians.
  harvard -- Harvard citation package for use with LaTeX 2e.
  harvmac -- Macros for scientific articles.
  historische-zeitschrift -- Biblatex style for the journal 'Historische
   Zeitschrift'
  ijqc -- BibTeX style file for the Intl. J. Quantum Chem.
  inlinebib -- Citations in footnotes.
  iopart-num -- Numeric citation style for IOP journals.
  jneurosci -- BibTeX style for the Journal of Neuroscience.
  jurabib -- Extended BibTeX citation support for the humanities and legal
   texts.
  ksfh_nat --
  listbib -- Lists contents of BibTeX files.
  logreq -- Support for automation of the LaTeX workflow.
  margbib -- Display bibitem tags in the margins.
  multibib -- Multiple bibliographies within one document.
  multibibliography -- Multiple versions of a bibliography, with different
   sort orders.
  munich -- An alternative authordate bibliography style.
  notes2bib -- Integrating notes into the bibliography.
  oscola -- BibLaTeX style for the Oxford Standard for the Citation of Legal
   Authorities.
  perception -- BibTeX style for the journal Perception.
  pnas2009 -- Bibtex style for PNAS.
  rsc -- BibTeX style for use with RSC journals.
  showtags -- Print the tags of bibliography entries.
  sort-by-letters -- Bibliography styles for alphabetic sorting.
  splitbib -- Split and reorder your bibliography.
  uni-wtal-ger --
  uni-wtal-lin -- Citation style for linguistic studies at the University of
   Wuppertal.
  urlbst -- Web support for BibTeX.
  usebib -- A simple bibloography processor.
  vak -- BibTeX style for Russian Theses, books, etc.
  xcite -- Use citation keys from a different document.

Package: texlive-extra-utils
Architecture: all
Depends: texlive-base (>= 2013.20130512), python, ${misc:Depends}, texlive-base (>= 2013.20130512), luatex, texlive-binaries (>= 2013.20130512), texlive-latex-base (>= 2013.20130512)
Recommends: ruby | ruby-interpreter, ghostscript, texlive-latex-recommended, texlive-latex-base
Provides: pdfjam
Suggests: purifyeps, chktex, latexmk, dvipng, xindy, dvidvi, fragmaster, lacheck, latexdiff
Description: TeX Live: TeX auxiliary programs
 Various useful, but non-essential, support programs. Includes programs and
   macros for DVI file manipulation, literate programming, patgen, and the
   TeX Works Editor.
 .
 This package includes the following CTAN packages:
  a2ping -- Advanced PS, PDF, EPS converter.
  adhocfilelist -- '\listfiles' entries from the command line.
  arara -- Automation of LaTeX compilation.
  bibtex8 -- A fully 8-bit adaptation of BibTeX 0.99.
  bibtexu --
  bundledoc -- Bundle together all the files needed to build a LaTeX
   document.
  ctanify -- Prepare a package for upload to CTAN.
  ctanupload -- Support for users uploading to CTAN.
  ctie -- C version of tie (merging Web change files).
  cweb -- A Web system in C.
  de-macro -- Expand private macros in a document.
  detex -- Strip TeX from a source file.
  dtl -- Tools to dis-assemble and re-assemble DVI files.
  dtxgen -- Creates a template for a self-extracting .dtx file.
  dvi2tty -- Produce ASCII from DVI.
  dviasm -- A utility for editing DVI files.
  dvicopy -- Copy DVI files, flattening VFs.
  dviljk -- DVI to Laserjet output.
  dvipos --
  dvisvgm -- Convert DVI files to Scalable Vector Graphics format (SVG).
  findhyph -- Find hyphenated words in a document.
  hyphenex -- Generate a hyphenation exceptions file.
  installfont -- A bash script for installing a LaTeX font family.
  latex-git-log -- Typeset git log information.
  latex2man -- Translate LaTeX-based manual pages into Unix man format.
  latexfileversion -- Prints the version and date of a LaTeX class or style
   file.
  latexpand -- Expand \input and \include in a LaTeX document.
  ltxfileinfo -- Print version info for latex class or style file.
  listings-ext -- Automated input of source.
  match_parens -- Easily detect mismatched parens.
  mkjobtexmf -- Generate a texmf tree for a particular job.
  patgen -- Generate hyphenation patterns.
  pdfcrop -- Crop PDF graphics.
  pdfjam -- Shell scripts interfacing to pdfpages.
  pdftools -- PDF-related utilities, including PostScript-to-PDF conversion
  pfarrei -- LaTeX support of pastors' and priests' work.
  pkfix -- Replace pk fonts in PostScript with Type 1 fonts.
  pkfix-helper -- Make PostScript files accessible to pkfix.
  seetexk -- Utilities for manipulating DVI files.
  sty2dtx -- Create a .dtx file from a .sty file.
  synctex --
  texcount -- Count words in a LaTeX document.
  texdef -- Display the definitions of TeX commands.
  texdiff -- Compare documents and produce tagged merge.
  texdirflatten -- Collect files related to a LaTeX job in a single
   directory.
  texliveonfly -- On-the-fly download of missing TeX live packages.
  texloganalyser -- Analyse TeX logs.
  texware -- Utility programs for use with TeX.
  tie -- Allow multiple web change files.
  tpic2pdftex -- Use tpic commands in PDFTeX.
  typeoutfileinfo -- Display class/package/file information.
  web -- original web programs tangle and weave

Package: texlive-font-utils
Architecture: all
Depends: texlive-binaries (>= 2013.20130512), texlive-base (>= 2013.20130512), ${misc:Depends}, texlive-base (>= 2013.20130512)
Recommends: ps2eps, ghostscript
Suggests: psutils, t1utils
Replaces: texlive-binaries (<< 2013)
Description: TeX Live: Graphics and font utilities
 Programs for conversion between font formats, testing fonts, virtual fonts,
   .gf and .pk manipulation, mft, fontinst, etc. Manipulating OpenType,
   TrueType, Type 1,and for manipulation of PostScript and other image
   formats.
 .
 This package includes the following CTAN packages:
  accfonts -- Utilities to derive new fonts from existing ones.
  afm2pl -- AFM font metrics to TeX pl converter.
  dosepsbin -- Deal with DOS binary EPS files.
  epstopdf -- Convert EPS to 'encapsulated' PDF using GhostScript.
  fontware --
  ps2pkm -- Generate a PK font from an Adobe Type 1 font.
  pstools -- Produce Encapsulated PostScript from PostScript.
  dvipsconfig -- Collection of dvips PostScript headers.
  fontinst -- Help with installing fonts for TeX and LaTeX.
  fontools -- Tools to simplify using fonts (especially TT/OTF ones).
  mf2pt1 -- Produce PostScript Type 1 fonts from Metafont source.
  ttfutils --

Package: texlive-formats-extra
Architecture: all
Depends: texlive-binaries (>= 2013.20130512), texlive-latex-base (>= 2013.20130512), texlive-base (>= 2013.20130512), ${misc:Depends}, texlive-base (>= 2013.20130512)
Description: TeX Live: Additional formats
 Collected TeX `formats', i.e., large-scale macro packages designed to be
   dumped into .fmt files, other than most common ones, such as latex and
   context.
 .
 This package includes the following CTAN packages:
  edmac -- Typeset scholarly edition.
  eplain -- Extended plain tex macros.
  mltex -- The MLTeX system.
  psizzl -- A TeX format for physics papers.
  startex -- An XML-inspired format for student use.
  texsis -- Plain TeX macros for Physicists.

Package: texlive-generic-extra
Architecture: all
Depends: texlive-base (>= 2013.20130512), ${misc:Depends}, texlive-base (>= 2013.20130512)
Description: TeX Live: Generic additional packages
 Extra packages that work with multiple formats, typically both TeX and
   LaTeX.
 .
 This package includes the following CTAN packages:
  abbr -- Simple macros supporting abreviations for Plain and LaTeX.
  abstyles -- Adaptable BibTeX styles.
  barr -- Diagram macros by Michael Barr.
  bitelist -- Split list, in TeX's mouth.
  borceux -- Diagram macros by Francois Borceux.
  c-pascal -- Typeset Python, C and Pascal programs.
  catcodes -- Generic handling of TeX category codes.
  chronosys -- Drawing time-line diagrams.
  colorsep -- Color separation.
  dinat -- Bibliography style for German texts.
  dirtree -- Display trees in the style of windows explorer.
  dowith -- Apply a command to a list of items.
  eijkhout -- Victor Eijkhout's packages.
  encxvlna -- Insert nonbreakable spaces, using encTeX.
  epigram -- Display short quotations.

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-extra

PACKAGES=texlive-bibtex-extra texlive-extra-utils texlive-font-utils texlive-formats-extra texlive-generic-extra texlive-math-extra texlive-plain-extra texlive-latex-extra texlive-fonts-extra texlive-music texlive-games texlive-pstricks texlive-publishers texlive-humanities texlive-science texlive-fonts-extra-doc texlive-humanities-doc texlive-latex-extra-doc texlive-pstricks-doc texlive-publishers-doc texlive-science-doc
METAPACKAGES=texpower pdfjam texlive-latex3

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats,info,manpages} ; \
	  rm -f debian/$$i.{lintian-overrides} ; \
	done
	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf-dist/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf-dist/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/generate-license-file $$i ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	done
	# link pfb/afm files (type1 fonts) into /usr/share/fonts
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/create-font-links $$i >> debian/$$i.links ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	dh_installmenu
	dh_lintian
	dh_bugfiles -A
	dh_installdocs -A debian/README.source debian/README.Debian
	dh_installtex -A --priority=10 --flavor=lsr:full,tree:texlive
	dh_installchangelogs
	dh_installman
	bash debian/fix-manpages.sh
	# info pages
	bash debian/convert-info-files-to-unix.sh
	dh_installinfo
	dh_installmime
	dh_lintian
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	# remove .bat files, nobody needs them
	find debian/texlive-*/usr/share/texlive/texmf-dist/ -name \*.bat -a -type f -exec rm '{}' \;
	# remove x bit from files in the doc hierarchy
	find debian/texlive-*/usr/share/doc/texlive-doc -type f -exec chmod a-x '{}' \;
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb -Ntexlive-latex-extra-doc -- -Zxz
	dh_builddeb -ptexlive-latex-extra-doc -- -Zxz -Sextreme -z9

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

# eof
